%define upstream_name    Authen-DecHpwd
%define upstream_version 2.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    DEC VMS password hashing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Integer) >= 0.3.0
BuildRequires: perl(Digest::CRC) >= 0.140.0
BuildRequires: perl(Exporter)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Scalar::String)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This module implements the 'LGI$HPWD' password hashing function from VMS,
and some associated VMS username and password handling functions.

The password hashing function is implemented in XS, with a hideously slow
pure Perl backup version for systems that can't handle XS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jun 15 2011 jquelin <jquelin> 2.6.0-1.mga2
+ Revision: 107745
- update to 2.006

* Sat Jun 11 2011 jquelin <jquelin> 2.5.0-2.mga2
+ Revision: 103454
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 2.5.0-1.mga1
+ Revision: 23188
- cleaning spec file
- imported package perl-Authen-DecHpwd

